=== debian/changelog ===
obs-advanced-masks (1.1.0-3) unstable; urgency=medium

  * debian/patches/020_add-pt-BR.patch: fixed some spelling errors.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 04 Apr 2025 16:31:13 -0300

obs-advanced-masks (1.1.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/patches/020_add-pt-BR.patch: fixed a spelling error in Description
    field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 04 Apr 2025 00:54:04 -0300

obs-advanced-masks (1.1.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1101836)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 01 Apr 2025 10:50:24 -0300
