=== debian/control ===
Source: obs-advanced-masks
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev, pandoc
Standards-Version: 4.7.2
Homepage: https://obsproject.com/forum/resources/advanced-masks.1856/
Vcs-Browser: https://salsa.debian.org/debian/obs-advanced-masks
Vcs-Git: https://salsa.debian.org/debian/obs-advanced-masks.git

Package: obs-advanced-masks
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio
Enhances: obs-studio
Description: plugin for OBS Studio to apply advanced masking filters
 OBS Advanced Masks expands the masking functionalities within OBS Studio. This
 plugin provides filters for users to create intricate and customized masks for
 OBS Scenes and Sources.
 .
 Advanced Masks provides some features:
   * Both Alpha Masking and Adjustment Masking.
   * Shape masks allow for dynamically generated Rectangle, Circle, Elliptical,
     Regular Polygon, Star and Heart shaped masks, with many adjustable
     parameters.
   * Source Masks allow an existing OBS source to be used as a mask, using any
     combination of the red, green, blue, or alpha channels from said source.
   * Image Masks include all of the same functionality as Source Masks, but
     applied via a static image (.png, .jpeg, etc).
   * Gradient Masks allow a fading mask using a user-specified gradient.
