=== debian/changelog ===
obs-advanced-masks (1.5.4-2) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/rules: added override for blhc to ignore CMake ABI tests.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 23 Feb 2026 22:33:45 -0300

obs-advanced-masks (1.5.4-1) unstable; urgency=medium

  * New upstream version 1.5.4.
  * debian/control: added libcurl4-openssl-dev, libxkbcommon-dev,
    nlohmann-json3-dev, qt6-base-dev and qt6-svg-dev to Build-Depends field.
  * debian/patches/:
      - 010_change-project-name.patch: updated to make it compliant with the
        new upstream version.
      - 020_add-pt-BR.patch: updated the Forwarded field.
      - 030_search_nlohmann_json.patch: created to search for nlohmann_json
        path, installed via package nlohmann-json3-dev.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 04 Sep 2025 13:50:48 -0300
