=== debian/control ===
--- 
+++ 
@@ -1,17 +1,23 @@
 Source: obs-advanced-masks
 Section: video
-Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), cmake, libobs-dev, pandoc
-Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               libcurl4-openssl-dev,
+               libobs-dev,
+               libxkbcommon-dev,
+               nlohmann-json3-dev,
+               pandoc,
+               qt6-base-dev,
+               qt6-svg-dev
+Standards-Version: 4.7.3
 Homepage: https://obsproject.com/forum/resources/advanced-masks.1856/
 Vcs-Browser: https://salsa.debian.org/debian/obs-advanced-masks
 Vcs-Git: https://salsa.debian.org/debian/obs-advanced-masks.git
 
 Package: obs-advanced-masks
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio
+Depends: ${misc:Depends}, ${shlibs:Depends}, obs-studio
 Enhances: obs-studio
 Description: plugin for OBS Studio to apply advanced masking filters
  OBS Advanced Masks expands the masking functionalities within OBS Studio. This
